[PACKAGE]: ../../raw/master/mkp/checkpoint_application_control-0.2.0-20230529.mkp "checkpoint_application_control-0.2.0-20230529.mkp"
# Check Point Application control

Monitors status of Check Point Application control blade

---
### Check Info

* *service*: this check will create the service *Application control*
* *state*: 
    **warning**
    * if the supscription is not *valid*
    * if the update status is not *up-to-date* or *new*
    * if the Application Control Engine is not up and running

    **critical**
    * if the service is not running
    
    **critical**/**warning** 
    * if the Application control database was not updated
* *wato*:
    * warn/crit levels for last update for the Application control database in days (default 7/14 days)
    * adjust time format for version string
* *perfdata*: none

---
### Download

* [Download latest mkp file][PACKAGE]

**Note**: before you update to a newer version, always check the [CHANGELOG](CHANGELOG). There might be incompatible changes.

---                   
### Installation

You can install the package by uploading it to your CheckMK site and as site user run 
```
mkp install PACKAGENAME-VERSION.mkp
```
or beginning with CMK2.2.x
```
mkp add PACKAGENAME-VERSION.mkp
mkp enable PACKAGENAME VERSION
```
In the non RAW editions of CheckMK you can use the GUI to install the package (_Setup_ -> _Extension Packages_ -> _Upload package_)

---
### Want to contribute?

Nice ;-) Have a look at the [contribution guidelines](CONTRIBUTING.md "Contributing")

---
### Sample output

![sample output](img/sample.png?raw=true "sample output")

